Lỗi nghiêm trọng: Gọi đến hàm không xác định is_woocommerce_active()

Linh Dinh March 11, 2024 No Comments

Hiện tại, chúng tôi biết đến hai nguyên nhân có thể gây ra lỗi này

Plugins lỗi thời

Kiểm tra xem tất cả các plugin Woo.com của bạn đã được cập nhật chưa, bao gồm WooSlider nếu bạn đã cài đặt. Nếu bạn đã kích hoạt các khóa của mình, thì bạn sẽ nhận được thông báo cập nhật tự động. Thông tin thêm về khóa và đăng ký có thể tìm thấy tại đây: https://woo.com/my-account/my-subscriptions/ Nếu bạn chưa kích hoạt các khóa và đang sử dụng WooCommerce 2.0.5 hoặc phiên bản cao hơn, bạn có thể kiểm tra xem có bản nâng cấp nào dành cho bất kỳ plugin WooThemes nào đang hoạt động của bạn không bằng cách kiểm tra trang Trạng thái hệ thống trong trình quản lý WordPress của bạn ( WooCommerce->Trạng thái hệ thống ), nếu bạn đang sử dụng phiên bản WooCommerce dưới 2.0.5 thì bạn sẽ cần phải kiểm tra thủ công bằng cách nhìn vào bảng điều khiển Woo.com của mình https://woo.com/my-account/downloads/ Nếu bạn đang không sử dụng phiên bản mới nhất, bạn có thể tải xuống từ https://woo.com/my-account/downloads/ Để cập nhật plugin theo cách thủ công, bạn nên giải nén tải xuống và tải các tệp lên thông qua FTP và chỉ cần ghi đè lên các tệp hiện có, không cần phải hủy kích hoạt plugin và không cần phải xóa bất kỳ tệp nào. Bạn không thể cập nhật thủ công các plugin Woo.com qua trình quản lý WordPress của bạn trừ khi bạn đã kích hoạt các khóa của mình, bạn phải làm việc thông qua FTP.

Themes của bên thứ ba

Một số chủ đề đã được biết đến khi tạo ra lỗi này. Nếu tất cả các plugin Woo.com của bạn đều đã được cập nhật, bạn nên chuyển chủ đề của mình thành Twenty Sixteen và thử kích hoạt plugin lại. Một khi nó được kích hoạt, bạn sẽ có thể chuyển chủ đề trở lại chủ đề bạn đã chọn

Leave a Reply

Your email address will not be published.